Package tigase.conf

## Class AbstractConfigBuilder<T extends java.util.Map,​S extends AbstractConfigBuilder>

- java.lang.Object
- - tigase.conf.AbstractConfigBuilder<T,​S>

- Direct Known Subclasses:
    `AbstractBeanConfigurator.BeanDefinition.Builder`, `ConfigBuilder`

      public class AbstractConfigBuilder<T extends java.util.Map,​S extends AbstractConfigBuilder>
      extends java.lang.Object

  Created by andrzej on 11.05.2017.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected T` | `map` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AbstractConfigBuilder​(T map)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AbstractBeanConfigurator.BeanDefinition.Builder` | `bean()` |
    `T` | `build()` |
    `void` | `property​(java.lang.String key, java.lang.Object value)` |
    `S` | `with​(java.lang.String property, java.lang.Object value)` |
    `S` | `with​(java.lang.String property, java.util.Optional optional)` |
    `S` | `with​(AbstractBeanConfigurator.BeanDefinition... beans)` |
    `S` | `withBean​(java.util.function.Consumer<AbstractBeanConfigurator.BeanDefinition.Builder>... builders)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### map

          protected final T extends java.util.Map map

  - ### Constructor Detail

    - #### AbstractConfigBuilder

          protected AbstractConfigBuilder​(T map)

  - ### Method Detail

    - #### bean

          public AbstractBeanConfigurator.BeanDefinition.Builder bean()

    - #### property

          public void property​(java.lang.String key,
                               java.lang.Object value)

    - #### build

          public T build()

    - #### with

          public S with​(AbstractBeanConfigurator.BeanDefinition... beans)

    - #### with

          public S with​(java.lang.String property,
                        java.util.Optional optional)

    - #### with

          public S with​(java.lang.String property,
                        java.lang.Object value)

    - #### withBean

          public S withBean​(java.util.function.Consumer<AbstractBeanConfigurator.BeanDefinition.Builder>... builders)